Competitor Tracker & Co. Docs

Create an API key for the current organization.

Create an API key for the current organization — Competitor Tracker & Co. API reference for POST /v1/api-keys: request parameters, request body, response.

Required role: member or higher (organization-level).

Required scope: account:write (for both OAuth2 tokens and API keys).

POST
/v1/api-keys

Authorization

X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.competitortracker.io/v1/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "CI deploy bot",    "scopes": [      "competitors:read",      "changes:read"    ]  }'
{
  "id": "string",
  "name": "string",
  "scopes": [
    "string"
  ],
  "expiresAt": "string",
  "createdAt": "string",
  "secret": "string"
}
{
  "code": "string",
  "message": "string",
  "resolution": "string"
}
{
  "code": "string",
  "message": "string",
  "resolution": "string"
}